/*
 *  Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.android.testing.mocking;

/**
 * Class with methods that match the delegate methods. Used only for testing.
 *
 * @author swoodward@google.com (Stephen Woodward)
 */
public class ClassHasDelegateMethods {
  /**
   * Test method.
   * @param obj test obj.
   */
  public void setDelegate___AndroidMock(Object obj) {
  }

  /**
   * Test method
   * @return null
   */
  public Object getDelegate___AndroidMock() {
    return null;
  }
}
